EMF::EMRSCALEWINDOWEXTEX(3)

NAME
EMF::EMRSCALEWINDOWEXTEX - EMF Scale Window Extents (ex)

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSCALEVIEWPORTEXTEX.

  Public Member Functions

EMRSCALEWINDOWEXTEX (LONG x_num, LONG x_den, LONG y_num, LONG y_den)
EMRSCALEWINDOWEXTEX (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Scale Window Extents (ex)

The window extent is the logical coordinate size of the window. Scale the window extents by the ratios of the given values.

Constructor & Destructor Documentation

  EMF::EMRSCALEWINDOWEXTEX::EMRSCALEWINDOWEXTEX (LONG x_num, LONG x_den, LONG y_num, LONG y_den) [inline]

Parameters:
    x_num numerator of x scale
    x_den denominator of x scale
    y_num numerator of y scale
    y_den denominator of y scale

  EMF::EMRSCALEWINDOWEXTEX::EMRSCALEWINDOWEXTEX (DATASTREAM & ds) [inline]
Construct a ScaleWindowExtEx record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSCALEWINDOWEXTEX::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSCALEWINDOWEXTEX::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSCALEWINDOWEXTEX::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.